Bug 120977 - many array subscripts out of range
Summary: many array subscripts out of range
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ethereal   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-15 20:02 UTC by d.binderman
Modified: 2015-03-05 01:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-19 15:39:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-04-15 20:02:18 UTC
Description of problem:

I just tried to compile Core2 Test2 package ethereal-0.10.2-1.1

The compiler said

1.

packet-gsm_map.c(872): warning #175: subscript out of range

The source code is

    ett_param_idx = ett_param_1[GSM_MAP_P_SIG_INFO];

but GSM_MAP_P_SIG_INFO has the value 7, and array ett_param_1
has zero elements.

Maybe array ett_param_1 should have more elements ?

2.

packet-gsm_map.c(934): warning #175: subscript out of range
packet-gsm_map.c(964): warning #175: subscript out of range
packet-gsm_map.c(1285): warning #175: subscript out of range
packet-gsm_map.c(1290): warning #175: subscript out of range

Duplicates.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Phil Knirsch 2004-04-19 15:39:42 UTC
Fixed in 0.10.3, code changed quite a bit but looks sane now.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.